jackrabbit-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Justin Edelson <justinedel...@gmail.com>
Subject Re: importing jackrabbit 2.1 source into eclipse
Date Mon, 26 Jul 2010 15:58:42 GMT
These errors have nothing to do with Eclipse or Maven. These XML files
are just not valid.

Since these don't impact Jackrabbit at runtime, you are free to ignore
them. Alternatively, if you want to submit patches to fix them, I'm sure
they would be accepted. The first one should be trivial to fix.

Justin

On 7/26/10 11:47 AM, John Langley wrote:
> I'm trying to import the jackrabbit 2.1 src into eclipse helios and
> running into a number of problems.
> I've tried both eclipse IDE plugins (Sonos and IAM/Q) for maven and the
> maven plugin eclipse:eclipse. They all seem to have the same set of 
> problems.
> 
> The first one I'd like to address is the problem whose error message is:
> 
> Description: The content of element type "configuration" must match
> "(aggregate*,index-rule*)". Location: indexing-configuration.xml
> Path:  /jackrabbit-core/src/test/repository/workspaces/indexing-test
> Problem Type: line 3 XML Problem
> 
> 
> A very similar (and probably related) error is:
> Description Resource Path Location Type
> Description: Attribute "xmlns:jcr" must be declared for element type
> "configuration".
> Location: indexing_config1.xml
> Path:
> /jackrabbit-core/src/test/resources/org/apache/jackrabbit/core/query/lucene
> Problem Type: line 20 XML Problem
> 
> Thanks to any eclipse based developers who can describe a solution.
> 
> -- Langley
> 


Mime
View raw message